Subject: bug#28277: emacs -nw bug?

From: [email-masked] (Richard Banach)
Date: Tue, 29 Aug 2017 17:36:10 +0100

Glenn Morris <[email-masked]> wrote:

| Richard Banach wrote:
|
| > I use   emacs -nw  and see what looks like a bug
| >
| > * in tex mode, if I type   $\it identifiername$   it doesn't recognise
| > the second $ as closing the scope of \it ... and wants to underline
| > everything that follows ... i haven't found how to turn this off
|
| Thanks for the report. This is not specific to emacs -nw.
| Relevant forms that tex-mode does understand are:
|
| $foo$
| \textit{foo}
| {\it foo}
|
| I'm not sure what you are trying to achieve with an \it inside math mode?
| I don't think I've seen that form used before.

hi,

here's the explanation .....

ideally, you could use

  \usepackage{oz}

which gives exactly the result i'd like inside any  $_math_scope_$

unfortunately, publishers (springer, elsevier,etc) as a rule don't
recognise oz and remove it, without compensating ... result ugly

you can do it the hard way ....

  $\mathit{identifiername}$

or slightly less good

  $\textit{identifiername}$

or (same)

  ${\it identifiername}$

or (lazy way)

  $\it identifiername$

the last three of which give basically the same results, but
the last of which requires the least typing (if, like me, you're
a bit annoyed at not being able to have \usepackage{oz})

cheers,

richard.

ps. in ordinary emacs (i.e. not -nw) it doesn't try to underline
\it stuff, so the problem doesn't arise visually (in my installation)